# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-ide.spec,v 1.6 2004/01/25 16:30:53 vsu Exp $
##

%define patch_name	kernel-fix-drivers-ide

Name: %{patch_name}
Version: 2004.01.25
Release: alt1

Summary: %patch_name kernel patch - ide fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%source  1	01_linux-2.4.17-ac-pdcraid.patch
%source  2	02_linux-2.4.19-aw-pdcraid.patch
%source  3	03_linux-2.4.22-cenatek.patch
%source  4	04_ide-cd-capacity.patch
%source  5	05_ide-tape-lockup.patch
%source  6	06_ide-scsi-lockup.patch
%source  7	07_serverworks-pio.patch
%source  8	08_lba48-check.patch
%source  9	09_lba48-pdc202xx_old.patch
%source 10	10_pdcraid-detect.patch

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
This patch provides fixes for IDE subsystem

%install

%install_patches

%files
%{_usrsrc}/*

%changelog
* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 10_pdcraid-detect.patch: Fix pdcraid detection for new devices (which
    report geometry with 255 heads).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt7
- Added:
  + 04_ide-cd-capacity.patch
  + 05_ide-tape-lockup.patch
  + 06_ide-scsi-lockup.patch
  + 07_serverworks-pio.patch
  + 08_lba48-check.patch
  + 09_lba48-pdc202xx_old.patch

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.04.29-alt7
- cenatek.patch updated for 2.4.22

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 2003.04.29-alt6
- ide modules patch taken from debian

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 2003.04.29-alt5
- Added ide module patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt3
- spec improvements: using %%source and %%install_patches macroses
- HPT372 patch removed (deprecated)
- pdcraid and cenatec patches added

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt2
- don't apply 01_pci_ids_h_HPT372N-2.4.21pre7.patch to rc1

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.04.29-alt1
- Initial release

